%global _empty_manifest_terminate_build 0
Name:           python-soupsieve
Version:        2.2
Release:        2
Summary:        A modern CSS selector implementation for Beautiful Soup.
License:        MIT
URL:            https://github.com/facelessuser/soupsieve
Source0:        https://files.pythonhosted.org/packages/54/b9/1584ee0cd971ea935447c87bbc9d195d981feec446dd0af799d9d95c9d86/soupsieve-2.2.tar.gz
BuildArch:      noarch
%description
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS selectors.
Soup Sieve currently provides selectors from the CSS level 1 specifications up
through the latest CSS level 4 drafts and beyond (though some are not yet implemented).

%package -n python3-soupsieve
Summary:        A modern CSS selector implementation for Beautiful Soup.
Provides:       python-soupsieve
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-soupsieve
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS selectors.
Soup Sieve currently provides selectors from the CSS level 1 specifications up
through the latest CSS level 4 drafts and beyond (though some are not yet implemented).

%package help
Summary:        A modern CSS selector implementation for Beautiful Soup.
Provides:       python3-soupsieve-doc
%description help
Soup Sieve is a CSS selector library designed to be used with Beautiful Soup 4.
It aims to provide selecting, matching, and filtering using modern CSS selectors.
Soup Sieve currently provides selectors from the CSS level 1 specifications up
through the latest CSS level 4 drafts and beyond (though some are not yet implemented).

%prep
%autosetup -n soupsieve-2.2 -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-soupsieve -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.2-2
- DESC: delete -S git from %autosetup

* Thu Jul 15 2021 OpenStack_SIG <openstack@openeuler.org> - 2.2-1
- Package Spec generate
